curl --request PATCH \
--url https://api.letsdothis.com/v0/reserved-entries/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.letsdothis.com/v0/reserved-entries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/reserved-entries/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "re_abcd6ss01x8",
"name": "Lorem ipsum",
"description": "Nulla sed mi egestas, condimentum orci quis, pulvinar odio.",
"eventId": "11120888",
"partnerId": "p_abcdiqh2oa4",
"maxCapacity": 35,
"usedCapacity": 15,
"tickets": [
{
"ticketSlug": "1106607777",
"maxCapacity": 10,
"discount": {
"type": "FLAT_RATE",
"price": {
"value": 10,
"currencyCode": "GBP"
}
},
"startDateTime": "2024-01-08T11:30:00.000Z"
},
{
"ticketSlug": "2206607777",
"discount": {
"type": "PERCENTAGE",
"amount": 10,
"isAppliedToBookingFee": true
}
}
],
"type": "MULTI_USE",
"settings": {
"canPartnerCancel": true,
"reserveCapacity": "IGNORE_CAPACITY",
"reallocateOnCancel": true,
"domainRestriction": "@letsdothis.com"
}
}Update a reserved entry group
Updates a reserved entry group.
curl --request PATCH \
--url https://api.letsdothis.com/v0/reserved-entries/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.letsdothis.com/v0/reserved-entries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/reserved-entries/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "re_abcd6ss01x8",
"name": "Lorem ipsum",
"description": "Nulla sed mi egestas, condimentum orci quis, pulvinar odio.",
"eventId": "11120888",
"partnerId": "p_abcdiqh2oa4",
"maxCapacity": 35,
"usedCapacity": 15,
"tickets": [
{
"ticketSlug": "1106607777",
"maxCapacity": 10,
"discount": {
"type": "FLAT_RATE",
"price": {
"value": 10,
"currencyCode": "GBP"
}
},
"startDateTime": "2024-01-08T11:30:00.000Z"
},
{
"ticketSlug": "2206607777",
"discount": {
"type": "PERCENTAGE",
"amount": 10,
"isAppliedToBookingFee": true
}
}
],
"type": "MULTI_USE",
"settings": {
"canPartnerCancel": true,
"reserveCapacity": "IGNORE_CAPACITY",
"reallocateOnCancel": true,
"domainRestriction": "@letsdothis.com"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the resource to query by
Body
The settings of the Reserved Entry group.
Show child attributes
Show child attributes
Reserved entry settings for particular tickets.
1Show child attributes
Show child attributes
The name of the Reserved Entry group.
1^(\S).+$The maximum number of entries that can be reserved in this group.
x >= 0The description of the Reserved Entry group.
Response
Default Response
Configuration for a Reserved Entry group.
The unique ID of the Reserved Entry group.
The name of the Reserved Entry group.
1^(\S).+$The unique ID of the event this Reserved Entry group is for.
The unique identifier for the occurrence of the Event, for which this participant is attending.
"6399c11c58f29f001ca95935"
The maximum number of entries that can be reserved in this group.
x >= 0The number of entries that have been used in this group.
x >= 0Reserved entry settings for particular tickets.
1Show child attributes
Show child attributes
The type of the Reserved Entry group.
- MULTI_USE — Links are generic, so you can send one link to all of your participants.
- SINGLE_USE — Links are tied to a specific person’s email address and can only be used once, meaning only the intended person can enter.
MULTI_USE, SINGLE_USE, UNKNOWN The LDT ID of the partner this Reserved Entry group should be assigned. If omitted, the entries can be managed by the organizer only.
Name of the partner.
The description of the Reserved Entry group.
The settings of the Reserved Entry group.
Show child attributes
Show child attributes
Represents a date and time in ISO 8601 format as a string.
The string should follow the format YYYY-MM-DDTHH:mm:ss.sssZ, where:
YYYY: Four-digit yearMM: Two-digit month (01-12)DD: Two-digit day of the month (01-31)T: Delimiter indicating the start of the time componentHH: Two-digit hour in 24-hour format (00-23)mm: Two-digit minutes (00-59)ss.sss: Seconds with milliseconds (00.000-59.999)Z: UTC timezone designator
Example: To represent 11:30 AM on May 8th, 2026, the value would be: "2026-05-08T11:30:00.000Z".
"2026-05-08T11:30:00.000Z"
Represents a date and time in ISO 8601 format as a string.
The string should follow the format YYYY-MM-DDTHH:mm:ss.sssZ, where:
YYYY: Four-digit yearMM: Two-digit month (01-12)DD: Two-digit day of the month (01-31)T: Delimiter indicating the start of the time componentHH: Two-digit hour in 24-hour format (00-23)mm: Two-digit minutes (00-59)ss.sss: Seconds with milliseconds (00.000-59.999)Z: UTC timezone designator
Example: To represent 11:30 AM on May 8th, 2026, the value would be: "2026-05-08T11:30:00.000Z".
"2026-05-08T11:30:00.000Z"
Was this page helpful?

